Skip to main content
GET
/
api
/
v2
/
ledger
Unified income/payout/refund feed
curl --request GET \
  --url https://api.pawpayments.com/api/v2/ledger \
  --header 'x-api-key: <api-key>'
{
  "ok": true,
  "pagination": {
    "page": 1,
    "pages": 1,
    "per_page": 20,
    "total": 2
  },
  "result": [
    {
      "amount": 49.5,
      "asset": "usdt_tron",
      "created_at": 1763398800,
      "currency": "USD",
      "fee": 0.5,
      "reference_id": "65f1c3a4e8b1c2d3a4b5c6d7",
      "type": "income"
    },
    {
      "amount": 25,
      "asset": "usdt_tron",
      "created_at": 1763398900,
      "reference_id": "65f1c3a4e8b1c2d3a4b5c6e0",
      "status": "success",
      "type": "payout"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.pawpayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

date_from
string | null

ISO-8601 datetime or unix timestamp.

date_to
string | null

ISO-8601 datetime or unix timestamp.

page
integer
default:1
Required range: x >= 1
per_page
integer
default:20
Required range: 1 <= x <= 100
type
enum<string> | null

Filter to a single entry type. If omitted, all types are merged in time order.

Available options:
income,
payout,
refund

Response

OK

ok
boolean
required
result
(LedgerIncome · object | LedgerPayout · object | LedgerRefund · object)[]
required
pagination
Pagination · object
required
Example:
{
  "page": 1,
  "pages": 1,
  "per_page": 20,
  "total": 1
}